Skip to main content
`Ctrl`+`K`

# NEPNArnoldiSetKSP

Associate a linear solver object (`KSP`) to the nonlinear eigenvalue solver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPNArnoldiSetKSP(NEP nep,KSP ksp)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- ksp - the linear solver object

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPNARNOLDI`, `NEPNArnoldiGetKSP()`

## Level

advanced

## Location

src/nep/impls/narnoldi/narnoldi.c

## Implementations

NEPNArnoldiSetKSP_NArnoldi() in src/nep/impls/narnoldi/narnoldi.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages